summaryrefslogtreecommitdiffhomepage
path: root/ci/ios/create-vm/scripts/install-xcode.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/ios/create-vm/scripts/install-xcode.sh')
-rw-r--r--ci/ios/create-vm/scripts/install-xcode.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/ci/ios/create-vm/scripts/install-xcode.sh b/ci/ios/create-vm/scripts/install-xcode.sh
new file mode 100644
index 0000000000..26102f5328
--- /dev/null
+++ b/ci/ios/create-vm/scripts/install-xcode.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -euo pipefail
+
+# shellcheck source=/dev/null
+source ~/.bash_profile
+
+echo >&1 "Installing xcode"
+xcodes install "${XCODE_VERSION}" --path "${XCODE_SHARED_PATH}/${XCODE_XIP_NAME}" --experimental-unxip
+xcodes select "${XCODE_VERSION}"